Package org.apache.lucene.search.highlight

## Class TextFragment

- java.lang.Object
- - org.apache.lucene.search.highlight.TextFragment

-     public class TextFragment
      extends Object

  Low-level class used to record information about a section of a document with a score.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TextFragment​(CharSequence markedUpText, int textStartPos, int fragNum)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `follows​(TextFragment fragment)` |
    `int` | `getFragNum()` |
    `float` | `getScore()` |
    `void` | `merge​(TextFragment frag2)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TextFragment

          public TextFragment​(CharSequence markedUpText,
                              int textStartPos,
                              int fragNum)

  - ### Method Detail

    - #### getScore

          public float getScore()

    - #### merge

          public void merge​(TextFragment frag2)

      Parameters:
        `frag2` - Fragment to be merged into this one

    - #### follows

          public boolean follows​(TextFragment fragment)

      Returns:
        true if this fragment follows the one passed

    - #### getFragNum

          public int getFragNum()

      Returns:
        the fragment sequence number

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`